name: Simple MySQL Pod
services:
  NodeGroupInventoryWallet:
    name: NodeGroupInventoryWallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    dependsOn:
    - mysql-pod-sg
    traits:
      meshmap:
        edges: []
        id: 63c39256-3e0d-41ab-82bf-92d4136bc642
        label: NodeGroupInventoryWallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: 5400b823-94ee-543c-8877-4ca3e299fcc4
          metadata:
            isAnnotation: false
            published: true
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: 0.7.1
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"config":false,"lock":true,"shape":{"convert-shape":false},"style":false},"label":{"edit":true,"show":false,"sync-with-config-property":"label"}}}'
          defaultData: '{"label":""}'
          genealogy: parent
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          styleOverrides: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","background-opacity":0.1,"data":{"label":""}}'
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":1,"border-style":"dashed","background-opacity":0.1}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
        parent: 7da1fba4-073b-46f1-9043-3badf277230a
        position:
          posX: 686
          posY: 336
        whiteboardData: {}
  mysql-pod-sg:
    name: mysql-pod-sg
    type: Pod
    apiVersion: v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    settings:
      spec:
        containers:
        - env:
          - name: MYSQL_ROOT_PASSWORD
            value: strongpassword
          image: mysql:5.6
          image Pull Policy: IfNotPresent
          name: mysql-container-sg
    traits:
      meshmap:
        edges: []
        id: 7da1fba4-073b-46f1-9043-3badf277230a
        label: Pod
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Kubernetes
          hostID: 00000000-0000-0000-0000-000000000000
          id: d247c4d8-3c7f-5e48-8158-2fba74f1c41c
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          name: kubernetes
          relationships: []
          status: registered
          version: v1.25.2
        meshmodel-metadata:
          capabilities: |2-
             {
              "designer": {
                "edit": {
                  "shape": {
                    "convert-shape": false
                  }
                }
              }
            }
          defaultData: ""
          genealogy: parent
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          shapePolygonPoints: ""
          styleOverrides:
            background-opacity: 0.5
            border-width: 2
            z-index: 13
          styles: '{"border-width":2,"background-opacity":0.5}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/pod-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/pod-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/pod-white.svg
        position:
          posX: 686
          posY: 336
        whiteboardData: {}
